안드로이드에서 리스트뷰를 쓰려고하는데요 에러가 나요.

조회수 1280회

리스트뷰를 쓰려고 하는데요 컴파일은 잘되는데 자꾸

에러메세지

Your content must have a ListView whose id attribute is 'android.R.id.list' 이런 에러가 나오면서 실행하면 터져요.

제 소스는

<ListView
        android:id="@+id/list"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="0.8"></ListView>

m_Adapter = new ArrayAdapter(this, android.R.layout.simple_list_item_multiple_choice, new_name); listView = (ListView) findViewById(R.id.list);

이렇게 했는데 뭐가 문제인거죠?

1 답변

  • 좋아요

    0

    싫어요
    채택 취소하기

    제 생각에는 현재 액티비티가 ListActivity인것 같은데 ListActivity의 경우에는 리스트뷰의 id를 아래처럼 해주어야합니다.

     <ListView
            android:id="@android:id/list"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="0.8"></ListView>
    

    이런식으로 등록해줘야합니다. 그리고 listView = (ListView) findViewById(android.R.id.list); 이부분도 이렇게 수정해주셔야됩니다.

답변을 하려면 로그인이 필요합니다.

Hashcode는 개발자들을 위한 무료 QnA 사이트입니다. 계정을 생성하셔야만 답변을 작성하실 수 있습니다.

(ಠ_ಠ)
(ಠ‿ಠ)

ᕕ( ᐛ )ᕗ
로그인이 필요합니다

Hashcode는 개발자들을 위한 무료 QnA사이트 입니다. 계정을 생성하셔야만 글을 작성하실 수 있습니다.